CREATE TABLE hz_location_profiles (
    LOCATION_PROFILE_ID        NUMBER(18, 0) ,
    LOCATION_ID                NUMBER(18, 0)     NOT NULL,
    ACTUAL_CONTENT_SOURCE      VARCHAR2(120) ,
    EFFECTIVE_START_DATE       DATE              NOT NULL,
    EFFECTIVE_END_DATE         DATE              NOT NULL,
    VALIDATION_SST_FLAG        VARCHAR2(4)       NOT NULL,
    VALIDATION_STATUS_CODE     VARCHAR2(120) ,
    DATE_VALIDATED             DATE          ,
    ADDRESS1                   VARCHAR2(960) ,
    ADDRESS2                   VARCHAR2(960) ,
    ADDRESS3                   VARCHAR2(960) ,
    ADDRESS4                   VARCHAR2(960) ,
    CITY                       VARCHAR2(240) ,
    POSTAL_CODE                VARCHAR2(240) ,
    COUNTY                     VARCHAR2(240) ,
    COUNTRY                    VARCHAR2(8)       NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    CONFLICT_ID                NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE      TIMESTAMP(6)  ,
    EFFECTIVE_SEQUENCE         NUMBER(4, 0)      NOT NULL,
    EFFECTIVE_LATEST_CHANGE    VARCHAR2(120)     NOT NULL,
    STATE                      VARCHAR2(240) ,
    PROVINCE                   VARCHAR2(240) ,
    CPDRF_VER_SOR              NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR           NUMBER(9, 0)  ,
    CPDRF_LAST_UPD             VARCHAR2(60)  ,
    BUILDING                   VARCHAR2(960) ,
    FLOOR_NUMBER               VARCHAR2(160) ,
    ADDR_ELEMENT_ATTRIBUTE1    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5    VARCHAR2(600) ,
    POSTAL_PLUS4_CODE          VARCHAR2(80)  ,
    LOCATION_PROFILE_ID        NUMBER(18, 0) ,
    LOCATION_ID                NUMBER(18, 0)     NOT NULL,
    ACTUAL_CONTENT_SOURCE      VARCHAR2(120) ,
    EFFECTIVE_START_DATE       DATE              NOT NULL,
    EFFECTIVE_END_DATE         DATE              NOT NULL,
    VALIDATION_SST_FLAG        VARCHAR2(4)       NOT NULL,
    VALIDATION_STATUS_CODE     VARCHAR2(120) ,
    DATE_VALIDATED             DATE          ,
    ADDRESS1                   VARCHAR2(960) ,
    ADDRESS2                   VARCHAR2(960) ,
    ADDRESS3                   VARCHAR2(960) ,
    ADDRESS4                   VARCHAR2(960) ,
    CITY                       VARCHAR2(240) ,
    POSTAL_CODE                VARCHAR2(240) ,
    COUNTY                     VARCHAR2(240) ,
    COUNTRY                    VARCHAR2(8)       NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    CONFLICT_ID                NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE      TIMESTAMP(6)  ,
    EFFECTIVE_SEQUENCE         NUMBER(4, 0)      NOT NULL,
    EFFECTIVE_LATEST_CHANGE    VARCHAR2(120)     NOT NULL,
    STATE                      VARCHAR2(240) ,
    PROVINCE                   VARCHAR2(240) ,
    CPDRF_VER_SOR              NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR           NUMBER(9, 0)  ,
    CPDRF_LAST_UPD             VARCHAR2(60)  ,
    BUILDING                   VARCHAR2(960) ,
    FLOOR_NUMBER               VARCHAR2(160) ,
    ADDR_ELEMENT_ATTRIBUTE1    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4    VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5    VARCHAR2(600) ,
    POSTAL_PLUS4_CODE          VARCHAR2(80)  ,
    CONSTRAINT pk_hz_location_profiles PRIMARY KEY (LOCATION_PROFILE_ID, LOCATION_PROFILE_ID)
);
